import type { z } from 'zod';
import type {
	diffDeleteSchema,
	diffSchema,
	diffSetSchema,
	fileBlobSchema,
	fileInlineSchema,
	fileSchema,
	fileTreeSchema,
	folderSchema,
	modpackSchema,
	revisionBaseSchema,
	revisionDiffSchema,
	revisionSchema,
	revisionTagSchema
} from './types-zod';

export type Modpack = z.infer<typeof modpackSchema>;
export type Revision = z.infer<typeof revisionSchema>;
export type RevisionBase = z.infer<typeof revisionBaseSchema>;
export type RevisionDiff = z.infer<typeof revisionDiffSchema>;
export type RevisionTag = z.infer<typeof revisionTagSchema>;
export type FileTree = z.infer<typeof fileTreeSchema>;
export type Folder = z.infer<typeof folderSchema>;
export type File = z.infer<typeof fileSchema>;
export type FileInline = z.infer<typeof fileInlineSchema>;
export type FileBlob = z.infer<typeof fileBlobSchema>;
export type Diff = z.infer<typeof diffSchema>;
export type DiffSet = z.infer<typeof diffSetSchema>;
export type DiffDelete = z.infer<typeof diffDeleteSchema>;
