import type { FileTree, FileBlob } from './types';

export function get_blobs(tree: FileTree): FileBlob[] {
	if (tree.type == 'file') {
		return tree.inline ? [] : [tree];
	}
	let blobs: FileBlob[] = [];
	for (const key in tree.children) {
		if (Object.prototype.hasOwnProperty.call(tree.children, key)) {
			const element = tree.children[key];
			blobs = blobs.concat(get_blobs(element));
		}
	}
	return blobs;
}
